> For the complete documentation index, see [llms.txt](https://docs.akinon.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.akinon.com/technical-guides/project-zero/django/basic-setup.md).

# Basic Setup

Project Zero is a base for rapidly building feature-rich e-commerce sites. It is powered by [Django](https://docs.djangoproject.com/en/3.1/) framework, [Jinja](https://jinja.palletsprojects.com/en/2.11.x/) templating engine, [jQuery](https://api.jquery.com/) JS library and [SASS](https://sass-lang.com/documentation) CSS preprocessor.

### <mark style="color:red;">Installation​</mark> <a href="#installation" id="installation"></a>

It is recommended to use yarn as your package manager.

```
brew install yarn # only for mac users
```

```
npm i -g yarn # for non-mac users
```

Initiate and update git submodule :

```
git submodule update --init
```

Create and activate a virtual environment using Python 3.x:

```
python3 -m venv venv
source venv/bin/activate
```

Install pip packages:

```
pip install wheel # for ubuntu users
pip install -r omnife_project/requirements.txt
# if project includes additional libraries such as pz-otp
# (you can validate this by checking if a requirements.txt exists in project root)
pip install -r requirements.txt
```

Copy example environment file:

```
cp .env.example .env
```

Run migrations:

```
python manage.py migrate
```

Start local Django development server:

```
# port number can be changed but make sure to use "0:"
python manage.py runserver 0:8000
```

Setup node modules (on a new terminal/tab):

```
cd templates/
yarn install # npm install
```

Start development server:

```
# with live reloading and clean webpack output
yarn dev # npm run dev
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.akinon.com/technical-guides/project-zero/django/basic-setup.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
